package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description :装车单入参
 * @Reference :
 * @Author : gcj
 * @CreateDate : 2019-12-07 16:06
 * @Modify:
 **/
@Api("装车单入参")
@Data
public class WmsTmsShipDto extends BaseDto implements Serializable {

    @ApiParam("物料号")
    private String partNo;
    @ApiParam("运输状态")
    private String carriageStatus;
    @ApiParam("单据号")
    private String orderNo;

    @ApiParam("是否删除，默认否")
    protected Integer isDeleted = 2;

    @ApiParam("是否有效，默认是")
    protected Integer isValid = 1;

    @ApiParam("工厂代码")
    protected String organizeCode;
}
